#ifndef	_MYSTRING_H_
#define _MYSTRING_H_
#include <stdlib.h>
#include <stdint.h>
#include <stdio.h>
#include <stdbool.h>
#include <stdarg.h>
#include <string.h>

#ifdef __cplusplus
extern "C" {
#endif
	
#ifndef TRUE
#define TRUE					true
#endif

#ifndef FALSE
#define FALSE					false
#endif

int _strlen(const char *str);
void _strcpynum(char *dest,const char *src,uint8_t num);
int _strcopy(char *str,const char *value);
char *_strcat(char *dest,const char *src);
char *_strcatint(char *dest, int num);
int _strfindnum(char *str,char c,uint8_t num);
int _strfind(char *str,char c);
int _strfindchar(int count,...);
int _strcount(const char *str);
int _strCompare(char *str1,const char *str2);
int _strstr(char *str1,const char *str2);
uint8_t _get_Hex(const char c);
int _HexToStr(char *data,uint8_t *byte,int size);
uint32_t _get_HexToDec(char *str);
float _my_atof(char *str);
char _get_HexChar(uint8_t hex);
int _my_atoi(char *str);
uint32_t _my_atou32(char *str);
int check_no_number(char *str);
int check_is_number(char *str);

extern void *realloc(void *mem_address, unsigned int newsize);

#ifdef __cplusplus
}
#endif

#endif
